import {mande} from "mande";
import {queryRemoveZero} from "@/api/utils.js";

const product = mande('/api/v2/providers')

export const ListProviders = (q) => {
    const query = queryRemoveZero(q)
    return product.get({query})
}

export const CreateProvider = (provider)=>{
    return product.post(provider)
}

export const UpdateProvider = (provider)=>{
    return product.put(provider)
}

export const GetProvider = (id) =>{
    return product.get(`/${id}`)
}

export  const DeleteProvider = (id)=>{
    return product.delete(`/${id}`)
}